PLEASE HELP! Trying to download old version, opens as new version.



  • Trying to download the old version, after it automatically updated to the dreadful new one. Uninstalled the new one completely, then downloaded the old one using the following link, as provided by the admins here: https://justgetflux.com/flux-setup3.exe

    When I install from that link, it opens as the crappy new one. No sign of v3 at all. What am I doing wrong, please? Tried multiple times. Tearing my hair out over this. I use Windows 10 (ugh). I read something about 'disabling automatic updates' but I don't understand what that means, does it mean disable something in flux itself, or in Windows? How can I disable something in flux before I have installed it? Can't figure out how to disable automatic updates in Windows 10 either, if that's the answer. About to give up on flux entirely!

    This is my first post here, so apologies if it's in the wrong place or whatever.



  • Just in case v3 is really no longer available, what is it about the new version you don't like? Perhaps I can help you make it more tolerable.



  • You could try to disconnect your pc/phone from the internet temporarily by either unplugging the ethernet connector or switching off WiFi, then install the old version, disable automatic update in the menu of f.lux and only then reconnect your device to internet again. Without a connection to internet, probably f.lux has no way to check for new versions before you have a chance to switch off automatic update.

    It would be helpful to elaborate on your qualifying f.lux as "crappy", if only to be polite and positive towards the developers of this nice piece of free software.

    I think there is room for improvement too, but crappy is not the right qualification in my opinion. I would like more direct control in setting dimming as well as brightening times and a more subtle setting of the transition period; a manual mode which would be very simple to add and which puts the control into the hands of the user, where it should be.

    But again: what is "crappy" in your opinion?

    Thanks to the developers!

    Ron


  • f.lux team

    v3.17 should not be updating (that is the setup3 link).

    However, if you had another version that had downloaded an installer, 3.17 would run it on relaunch.

    Can you try these steps?

    1. Uninstall f.lux
    2. Install setup3